summaryrefslogtreecommitdiff
path: root/meta/recipes-sato/webkit/files/autogen.sh
diff options
context:
space:
mode:
authorKoen Kooi <koen@dominion.thruhere.net>2011-07-11 12:24:02 +0200
committerRichard Purdie <richard.purdie@linuxfoundation.org>2011-07-12 14:46:54 +0100
commit7df4f5f3d64f1f60814cea60d83270be7bfa4f2c (patch)
treee12c5d4503111841a0f11c262c16633b5b73ff1c /meta/recipes-sato/webkit/files/autogen.sh
parent20f591da0954b996933210934812777e096a5413 (diff)
downloadopenembedded-core-7df4f5f3d64f1f60814cea60d83270be7bfa4f2c.tar.gz
openembedded-core-7df4f5f3d64f1f60814cea60d83270be7bfa4f2c.tar.bz2
openembedded-core-7df4f5f3d64f1f60814cea60d83270be7bfa4f2c.tar.xz
openembedded-core-7df4f5f3d64f1f60814cea60d83270be7bfa4f2c.zip
webkit-gtk: update SRCREV
The layout of the repository has changed, so we need to account for that: * fixed license checksums * fixed SRC_URI * fixed SRCREV_FORMAT PCRE is gone, so no need for the dftables hack anymore But most importantly, this fixes the crash issues when using javascript (e.g. github.com) Tested on: * usrp-e1xx/angstrom-2011.07 Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-sato/webkit/files/autogen.sh')
-rwxr-xr-xmeta/recipes-sato/webkit/files/autogen.sh51
1 files changed, 6 insertions, 45 deletions
diff --git a/meta/recipes-sato/webkit/files/autogen.sh b/meta/recipes-sato/webkit/files/autogen.sh
index 60b163d55..23639e897 100755
--- a/meta/recipes-sato/webkit/files/autogen.sh
+++ b/meta/recipes-sato/webkit/files/autogen.sh
@@ -8,55 +8,16 @@ test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd $srcdir
-GTKDOCIZE_FLAGS="--copy"
-LIBTOOLIZE_FLAGS="--force --automake"
-ACLOCAL_FLAGS="-I autotools $ACLOCAL_FLAGS"
-AUTOMAKE_FLAGS="--foreign --add-missing"
+rm -f $top_srcdir/autom4te.cache
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
- DIE=1
-}
-
-LIBTOOLIZE=libtoolize
-($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
- LIBTOOLIZE=glibtoolize
- ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
- DIE=1
- }
-}
+touch README INSTALL
-if test "$DIE" -eq 1; then
+gtkdocize --copy > /dev/null 2>&1 || echo "Warning: not running gtk-docize."
+if test -z `which autoreconf`; then
+ echo "Error: autoreconf not found, please install it."
exit 1
fi
-
-rm -rf $top_srcdir/autom4te.cache
-
-touch README INSTALL
-
-gtkdocize $GTKDOCIZE_FLAGS > /dev/null 2>&1 || echo "Warning: not running gtk-docize."
-aclocal $ACLOCAL_FLAGS || exit $?
-$LIBTOOLIZE $LIBTOOLIZE_FLAGS || exit $?
-autoheader || exit $?
-automake $AUTOMAKE_FLAGS || exit $?
-autoconf || exit $?
+autoreconf --verbose --install -I Source/autotools $ACLOCAL_FLAGS|| exit $?
cd $ORIGDIR || exit 1